Schnittstelle IWebDataRange
- Alle bekannten Implementierungsklassen:
de.uplanet.lucy.server.businesslogic.rtappservices.AbstractWebDataRange,WebDataRange,WebShapedTableRange
public interface IWebDataRange
-
Methodenübersicht
Modifizierer und TypMethodeBeschreibungreturns the application GUIDgetAttribute(String p_strName) returns an attribute's value by its name.getBinding(String p_strBinding) getBinding(String p_strBinding, Object p_default) de.uplanet.lucy.server.businesslogic.rtappservices.IWebRowDataCollectionContextIteratorReturns a context row iterator.returns the data group GUIDReturns the child control infosreturns the GUID of the datarangereturns the name of the datarangede.uplanet.lucy.server.businesslogic.rtappservices.IWebRecordDataCollectiongetDC()de.uplanet.lucy.server.businesslogic.util.DrSortItemListreturns the parent idList<?> returns a list of lists that hold control informationreturns the String that is given by the request for evaluating preSelect controlsde.uplanet.lucy.server.businesslogic.rtappservices.IPropertiesMap<T> IValueHolder<T> getPropertyVH(String p_strGuidOrName) getQuery()Returns the Query String that created the list.returns aListof values for the resizer controlgetResizerList(int p_iMax) returns aListof values for the resizer controlgetRows()returns aListofIRowobjectsreturns the sysident for this controlgetSystemProperty(String p_strName) getSystemProperty(String p_strName, Object p_default) <T> IValueHolder<T> getSystemPropertyVH(String p_strName) IValueHolder<?> getSystemPropertyVH(String p_strName, Object p_default) intreturns theTimeZonebooleanMethod hasPermission returns the value of the internal member.booleanhasSystemProperty(String p_strName)
-
Methodendetails
-
getRows
List<IWebRowDataCollection> getRows()returns aListofIRowobjects- Gibt zurück:
- a
ListofIRowobjects
-
getContextRowIterator
de.uplanet.lucy.server.businesslogic.rtappservices.IWebRowDataCollectionContextIterator getContextRowIterator()Returns a context row iterator. Current binding context will be set to the current row. On finish the context will reset to the beginning state. -
getDC
de.uplanet.lucy.server.businesslogic.rtappservices.IWebRecordDataCollection getDC()- Gibt zurück:
- Returns the data collection of the page.
-
getDataRangeGuid
String getDataRangeGuid()returns the GUID of the datarange- Gibt zurück:
- the GUID of the datarange
-
getDataGroupGuid
String getDataGroupGuid()returns the data group GUID- Gibt zurück:
- the data group GUID
-
getDatarangeName
String getDatarangeName()returns the name of the datarange- Gibt zurück:
- the name of the datarange as string
-
getParentId
String getParentId()returns the parent id- Gibt zurück:
- the parent id as String
-
getAppGuid
String getAppGuid()returns the application GUID- Gibt zurück:
- Returns the application GUID
-
getQuery
String getQuery()Returns the Query String that created the list.- Gibt zurück:
- String
-
hasPermission
boolean hasPermission()Method hasPermission returns the value of the internal member. This member is set by the setPermission method and represents the AppDgPermission.READ action.- Gibt zurück:
- boolean
-
getTotalCount
int getTotalCount()- Gibt zurück:
- total number of all records within the datarange.
-
getAttribute
returns an attribute's value by its name. Attributes are part of the datarange header and footer.- Parameter:
p_strName- an attribute name- Gibt zurück:
- a String containing the value for the given attribute
-
getPreSelectControlsStr
String getPreSelectControlsStr()returns the String that is given by the request for evaluating preSelect controls- Gibt zurück:
- a String representing the request parameter
-
getPreSelectControls
List<?> getPreSelectControls()returns a list of lists that hold control information- Gibt zurück:
- a
List
-
getResizerList
List<ResizerListItem> getResizerList()returns aListof values for the resizer control- Gibt zurück:
- a
Listof ResizerListItem's values
-
getResizerList
returns aListof values for the resizer control- Parameter:
p_iMax- Maximum number in the resizer list.- Gibt zurück:
- a
Listof ResizerListItem's values
-
getDataRangeControlInfo
DataRangeChildControlInfoList getDataRangeControlInfo()Returns the child control infos- Gibt zurück:
- p_childControlList a
DataRangeChildControlInfo
-
getUserTimeZone
TimeZone getUserTimeZone()returns theTimeZone- Gibt zurück:
- a
TimeZoneinstance
-
getSysident
String getSysident()returns the sysident for this control- Gibt zurück:
- the sysident for this control
-
getPropertyVH
-
getPropertiesVH
de.uplanet.lucy.server.businesslogic.rtappservices.IPropertiesMap getPropertiesVH() -
getDrSortItems
de.uplanet.lucy.server.businesslogic.util.DrSortItemList getDrSortItems()- Gibt zurück:
- A sorted copy of the DrSortItemList
-
getBinding
- Parameter:
p_strBinding- The binding string- Gibt zurück:
- The binding or
nullif no value found for the binding. - Löst aus:
IllegalArgumentException- will thrown if an invalid binding is set.
-
getBinding
- Parameter:
p_strBinding- The binding stringp_default- Will returned if no binding found. If the type is not an IIxValue instance, A IIxValue instance will created withIxValueFactory#create(p_default)and returned.- Gibt zurück:
- The binding or the given default value.
- Löst aus:
IllegalArgumentException- will thrown if an invalid binding is set.
-
getSystemProperty
- Parameter:
p_strName- The system data group field name- Gibt zurück:
- Returns the property of the the system data group or
nullif not exists. - Löst aus:
IllegalArgumentException- if no system property found, with the given name.
-
getSystemProperty
- Parameter:
p_strName- The system data group field namep_default- Will returned if no binding found. If the type is not an IIxValue instance, A IIxValue instance will created withIxValueFactory#create(p_default)and returned.- Gibt zurück:
- Returns the property of the the system data group or
nullif not exists. - Löst aus:
IllegalArgumentException- if no system property found, with the given name.
-
getSystemPropertyVH
- Parameter:
p_strName- The system data group field name- Gibt zurück:
- Returns the property of the the system data group or
nullif not exists. - Löst aus:
IllegalArgumentException- if no system property found, with the given name.
-
getSystemPropertyVH
- Parameter:
p_strName- The system data group field namep_default- Will returned if no binding found. If the type is not an IIxValue instance, A IIxValue instance will created withIxValueFactory#create(p_default)and returned.- Gibt zurück:
- Returns the property of the the system data group or
nullif not exists. - Löst aus:
IllegalArgumentException- if no system property found, with the given name.
-
hasSystemProperty
- Parameter:
p_strName- The system property name- Gibt zurück:
- Returns
trueif a system property with the given name exists orfalseif not. (Checks only the existing, not if a value is present or not)
-